Delete Proxy Configuration

Delete Proxy Configuration
Remove HTTP Proxy Configuration

Removes the configured HTTP proxy settings from the HCX Manager. After removal, the HCX Manager will connect directly to external services without using a proxy.

Warning: Removing proxy may break connectivity if direct access is not available

Request
URI
DELETE
https://{server}:9443/api/admin/global/config/proxy/{uuid}
COPY
Path Parameters
string
uuid
Required

UUID of the proxy configuration to delete

uuid example
550e8400-e29b-41d4-a716-446655440000

Authentication
This operation uses the following authentication methods.
Responses
200

Proxy configuration deleted successfully

Operation doesn't return any data structure

404

Proxy configuration with specified UUID not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error while deleting proxy configuration

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/proxy/{uuid}